---
updatedAt: 2026-09-04T07:06:48.000Z
agentTools:
  projectIndex: https://documentation.indigitall.com/llms.txt
---

# Delete campaign

Delete a specific campaign for a given application

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "version": "2.0.0",
    "title": "INDIGITALL API",
    "x-logo": {
      "url": "https://console.indigitall.com/images/logo_verdeblanco@2x.png",
      "backgroundColor": "#0F3B7A"
    },
    "description": "\n### Introduction:\nThis documentation describes every endpoint of Indigitall's API v2\n\nAPI BASE URL: https://api.indigitall.com/v2\n\n### Authentication:\n\nMost of the endpoints of the API needs an Authorization header.\n\nThere are two Authorization ways:\n\n- If your intention is to manage API calls with a server-side script you have to create a Server key through Indigitall's console.\n\n  You can set the following Authorization Header : 'Authorization: ServerKey {ServerKey}'\n- If your intention is to integrate this API for front-end users POST /auth endpoint authorizes a user and returns an access token.\n\n  You can set the following Authorization Header : 'Authorization: Bearer {Token}'\n"
  },
  "security": [
    {
      "Authorization": []
    }
  ],
  "tags": [
    {
      "name": "chat-campaign",
      "x-displayName": "Chat - Campaign",
      "description": "Endpoints to manage campaigns for chat-service-v2"
    }
  ],
  "x-tagGroups": [
    {
      "name": "Chat Service",
      "tags": [
        "chat-configuration",
        "chat-channel",
        "chat-contact",
        "chat-integration",
        "chat-task",
        "chat-campaign",
        "chat-send",
        "chat-multimedia",
        "chat-slicing",
        "chat-tag",
        "chat-contact-list",
        "chat-cc-agent",
        "chat-cc-permissions-profile",
        "chat-cc-weekly-schedule",
        "chat-cc-special-days-schedule",
        "chat-cc-conversation",
        "chat-cc-agent-group",
        "chat-cc-contact-comment",
        "chat-cc-form",
        "chat-stats",
        "chat-internal"
      ]
    },
    {
      "name": "Customer Service",
      "tags": [
        "customer-service-adviser",
        "customer-service-customer",
        "customer-service-customer-csv",
        "customer-service-customer-field",
        "customer-service-customer-journey",
        "customer-service-customer-journey-template",
        "customer-service-customer-journey-control",
        "customer-service-customer-send",
        "customer-service-stats",
        "customer-service-webhook-template",
        "customer-service-segment",
        "customer-service-audience",
        "customer-service-application",
        "customer-service-journeywaitqueue",
        "customer-service-task",
        "customer-service-cdpeventtype",
        "customer-service-cdpeventtypetemplate",
        "customer-service-internal"
      ]
    },
    {
      "name": "Email Service",
      "tags": [
        "es-configuration",
        "es-configurationDomain",
        "es-configurationDomainEmail",
        "es-footer",
        "es-audience",
        "es-contact",
        "es-category",
        "es-campaign",
        "es-campaign-block",
        "es-campaign block-column",
        "es-campaign-multimedia",
        "es-shipment",
        "es-attachment",
        "es-statistics",
        "es-webhook",
        "es-tasks"
      ]
    },
    {
      "name": "InApp Service",
      "tags": [
        "inapp-configuration",
        "inapp-campaign",
        "inapp-schema",
        "inapp-topic",
        "inapp-multimedia",
        "inapp-form",
        "inapp-stats",
        "inapp-audience",
        "inapp-task"
      ]
    },
    {
      "name": "SMS Service",
      "tags": [
        "sms-campaign",
        "sms-configuration",
        "sms-contact",
        "sms-send",
        "sms-stats",
        "sms-topic",
        "sms-cost",
        "sms-webhook",
        "sms-private"
      ]
    },
    {
      "name": "Wallet Service",
      "tags": [
        "wallet-project",
        "wallet-images",
        "wallet-tasks",
        "wallet-notifications",
        "wallet-template",
        "wallet-loyalty-pass",
        "wallet-loyalty-template",
        "wallet-offer-pass",
        "wallet-offer-template",
        "wallet-generic-pass",
        "wallet-generic-template"
      ]
    },
    {
      "name": "Stats Service",
      "tags": [
        "stats-service-chat",
        "stats-service-cs",
        "stats-service-report",
        "stats-service-wallet",
        "stats-service-meta"
      ]
    },
    {
      "name": "ChatGen service",
      "tags": [
        "icc-chatgen-gateway-agent",
        "icc-chatgen-gateway-api-tool",
        "icc-chatgen-gateway-configured-custom-tool",
        "icc-chatgen-gateway-conversation",
        "icc-chatgen-gateway-custom-tool",
        "icc-chatgen-gateway-document",
        "icc-chatgen-gateway-file",
        "icc-chatgen-gateway-instance-config",
        "icc-chatgen-gateway-router-agent-tool",
        "icc-chatgen-gateway-router-agent"
      ]
    },
    {
      "name": "AI Assitant service",
      "tags": [
        "ai-generator-campaign"
      ]
    },
    {
      "name": "Meta Service",
      "tags": [
        "meta-cloudapi",
        "meta-configuration",
        "meta-webhook",
        "meta-business",
        "meta-templates",
        "meta-upload"
      ]
    },
    {
      "name": "Push Live Service",
      "tags": [
        "push-live-configuration",
        "push-live-ios-class",
        "push-live-activity",
        "push-live-send"
      ]
    },
    {
      "name": "Pathbot",
      "tags": [
        "pathbot-agents",
        "pathbot-applications",
        "pathbot-documents",
        "pathbot-flows",
        "pathbot-tools",
        "pathbot-nodes",
        "pathbot-ingestion-sources",
        "pathbot-evaluation",
        "pathbot-skills"
      ]
    },
    {
      "name": "Link Service",
      "tags": [
        "link-short-domain"
      ]
    }
  ],
  "servers": [
    {
      "url": "https://api.indigitall.com/v2"
    }
  ],
  "paths": {
    "/chat/{applicationId}/campaign/{campaignId}": {
      "delete": {
        "tags": [
          "chat-campaign"
        ],
        "summary": "Delete campaign",
        "description": "Delete a specific campaign for a given application",
        "x-eov-operation-handler": "campaign.controller",
        "x-gateway-endpoint": "chatServiceV2",
        "operationId": "deleteCampaign",
        "x-gateway-check-permission": {
          "account-features": [
            "CHAT_V2_ENABLED"
          ]
        },
        "parameters": [
          {
            "$ref": "#/components/parameters/CHS_ApplicationId_PathParameter"
          },
          {
            "$ref": "#/components/parameters/CHS_CampaignId_PathParameter"
          }
        ],
        "responses": {
          "200": {
            "$ref": "#/components/responses/CHS_Deleted_Response"
          },
          "403": {
            "$ref": "#/components/responses/CHS_Forbidden_Response"
          },
          "404": {
            "$ref": "#/components/responses/CHS_NotFound_Response"
          },
          "500": {
            "$ref": "#/components/responses/CHS_ServerError_Response"
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "Authorization": {
        "type": "apiKey",
        "in": "header",
        "name": "Authorization",
        "description": "Authorization for accesing endpoints , must be in one of the following format:\n- **Bearer {token}**\n- **ServerKey {key}**\n"
      }
    },
    "responses": {
      "CHS_NotFound_Response": {
        "description": "Not found",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "additionalProperties": true,
              "properties": {
                "statusCode": {
                  "type": "integer",
                  "description": "Status code",
                  "example": 404
                },
                "errorCode": {
                  "type": "string",
                  "description": "Error code",
                  "example": "NOT_FOUND"
                },
                "message": {
                  "type": "string",
                  "description": "Error message",
                  "example": "Resource not found."
                }
              }
            }
          }
        }
      },
      "CHS_ServerError_Response": {
        "description": "Internal server error",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "additionalProperties": true,
              "properties": {
                "statusCode": {
                  "type": "integer",
                  "description": "Status code",
                  "example": 500
                },
                "errorCode": {
                  "type": "string",
                  "description": "Error code",
                  "example": "INTERNAL_SERVER_ERROR"
                },
                "message": {
                  "type": "string",
                  "description": "Error message",
                  "example": "Internal server error."
                }
              }
            }
          }
        }
      },
      "CHS_Deleted_Response": {
        "description": "Deleted",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "additionalProperties": true,
              "properties": {
                "statusCode": {
                  "type": "integer",
                  "description": "Status code",
                  "example": 200
                },
                "message": {
                  "type": "string",
                  "description": "Success message",
                  "example": "Resource deleted successfully."
                }
              }
            }
          }
        }
      },
      "CHS_Forbidden_Response": {
        "description": "Forbidden",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "additionalProperties": true,
              "properties": {
                "statusCode": {
                  "type": "integer",
                  "description": "Status code",
                  "example": 403
                },
                "errorCode": {
                  "type": "string",
                  "description": "Error code",
                  "example": "FORBIDDEN"
                },
                "message": {
                  "type": "string",
                  "description": "Error message",
                  "example": "Forbidden."
                }
              }
            }
          }
        }
      }
    },
    "parameters": {
      "CHS_ApplicationId_PathParameter": {
        "in": "path",
        "name": "applicationId",
        "required": true,
        "description": "Application's ID",
        "schema": {
          "type": "integer",
          "example": 123
        }
      },
      "CHS_CampaignId_PathParameter": {
        "in": "path",
        "name": "campaignId",
        "required": true,
        "description": "Campaign's ID",
        "schema": {
          "type": "integer",
          "example": 123
        }
      }
    }
  }
}
```